Bug 1271329 - Out of memory on undercloud / overcloud controller due to puppet configuration
Summary: Out of memory on undercloud / overcloud controller due to puppet configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 7.0 (Kilo)
Hardware: All
OS: Linux
high
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1267630
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-13 16:17 UTC by James Slagle
Modified: 2017-05-17 19:24 UTC (History)
18 users (show)

Fixed In Version: instack-undercloud-6.0.0-2.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1267630
Environment:
Last Closed: 2017-05-17 19:24:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 229471 None None None Never
OpenStack gerrit 386696 None None None 2017-03-29 16:30:58 UTC

Comment 1 James Slagle 2015-10-13 16:18:05 UTC
the patch on the other bug is only for the overcloud, this bug is for the undercloud

Comment 4 Mike Burns 2016-04-07 20:54:03 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 6 Alex Schultz 2016-10-14 16:55:04 UTC
Currently working on this upstream to reduce the overall number of workers for the services, https://review.openstack.org/#/c/386696/

Comment 12 Amit Ugol 2017-04-24 06:12:08 UTC
This seems to work better and better on each major version. With current major version (11) I managed to keep an undercloud and controllers with less than the documented minimum on a virtual setup and it only started to hiccup after 2 weeks which I am fine with.

Comment 14 errata-xmlrpc 2017-05-17 19:24:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.